Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# gnStringSpec Class Reference

gnStringSpec stores a sequence and annotation data in memory. More...

`#include <gnStringSpec.h>`

Inheritance diagram for gnStringSpec::

List of all members.

## Public Methods
| gnStringSpec ()
| Empty constructor. More...
| gnStringSpec (const string &m_string, const gnSeqI start=0, const gnSeqI endI=GNSEQI_END, const boolean revComp=false)
| Constructor, creates a gnStringSpec using sequence data in the given string. More...
| gnStringSpec (const gnStringSpec &s)
| Copy constructor. More...
| ~gnStringSpec ()
gnStringSpec* | Clone () const
virtual void | Clear ()
| Clears all data from this spec. More...
virtual gnSeqI | GetSourceLength () const
| Get the length of the source for this spec. More...
virtual gnBaseSource* | GetSource () const
virtual gnStringSpec* | CloneRange (const gnSeqI startI, const gnSeqI len) const
| Copies a specified range of bases and returns a pointer to the resulting gnStringSpec. More...
## Protected Methods
virtual boolean | Read (const gnSeqI start, gnSeqC *buf, uint32 &bufLen) const
| all derived classes must implement this! it simply reads the specified bases into buf, disregarding circularity and reverse complement. More...
## Protected Attributes
string | m_seqString

## Detailed Description

gnStringSpec stores a sequence and annotation data in memory.

For a more complete description see the gnBaseSpec documentation.

Definition at line 26 of file gnStringSpec.h.

## Constructor & Destructor Documentation

gnStringSpec::gnStringSpec ( | )

| Empty constructor. Definition at line 17 of file gnStringSpec.cpp. Referenced by Clone(), and CloneRange().

gnStringSpec::gnStringSpec ( | const string & m_string,
| const gnSeqI start = 0,
| const gnSeqI endI = GNSEQI_END,
| const boolean revComp = false )

  | Constructor, creates a gnStringSpec using sequence data in the given string. A circular spec will be created if the end index is greater than the start. Parameters:
  m_string | The string to read base pairs from.
  startI | The index to start reading base pairs from the string.
  endI | The index to stop reading base pairs from the string.
  revComp | True if the sequence is read reverse complement.
Definition at line 22 of file gnStringSpec.cpp.

gnStringSpec::gnStringSpec ( | const gnStringSpec & s )

  | Copy constructor. Parameters:
  s | the gnStringSpec to copy.
Definition at line 45 of file gnStringSpec.cpp.

gnStringSpec::~gnStringSpec ( | )

| Definition at line 56 of file gnStringSpec.cpp.

## Member Function Documentation

void gnStringSpec::Clear ( | )`[virtual]`

| Clears all data from this spec. Reimplemented from gnContigSpec. Definition at line 60 of file gnStringSpec.cpp. Referenced by gnStringSpec(), and ~gnStringSpec().

gnStringSpec * gnStringSpec::Clone ( | ) const`[inline, virtual]`

| Reimplemented from gnContigSpec. Definition at line 76 of file gnStringSpec.h.

gnStringSpec * gnStringSpec::CloneRange ( | const gnSeqI startI,
| const gnSeqI len ) const`[virtual]`

  | Copies a specified range of bases and returns a pointer to the resulting gnStringSpec. You must delete the copy when you are finished with it. Parameters:
  startI | The first base pair to copy
  len | The length of the piece to copy
Returns: A copy of the gnStringSpec containing only the specified bases Definition at line 66 of file gnStringSpec.cpp.

gnBaseSource * gnStringSpec::GetSource ( | ) const`[inline, virtual]`

| Definition at line 85 of file gnStringSpec.h.

gnSeqI gnStringSpec::GetSourceLength ( | ) const`[inline, virtual]`

| Get the length of the source for this spec. Returns: The source length. Reimplemented from gnContigSpec. Definition at line 81 of file gnStringSpec.h.

boolean gnStringSpec::Read ( | const gnSeqI start,
| gnSeqC * buf,
| uint32 & bufLen ) const`[inline, protected, virtual]`

| all derived classes must implement this! it simply reads the specified bases into buf, disregarding circularity and reverse complement. Reimplemented from gnContigSpec. Definition at line 91 of file gnStringSpec.h.

## Member Data Documentation

string gnStringSpec::m_seqString`[protected]`

| Definition at line 71 of file gnStringSpec.h.

The documentation for this class was generated from the following files:

- gnStringSpec.h
- gnStringSpec.cpp